---
include:
  local: definitions/rhel9/common.yml

variables:
  POLARION_TEST_PHASE: rhel-9_5_ga

.kernel_matrix:
  parallel:
    matrix:
      - TEST_PACKAGE_NAME_ARCH: /kernel-aarch64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-ppc64le/
      - TEST_PACKAGE_NAME_ARCH: /kernel-s390x/
      - TEST_PACKAGE_NAME_ARCH: /kernel-x86_64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-debug-aarch64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-debug-ppc64le/
      - TEST_PACKAGE_NAME_ARCH: /kernel-debug-s390x/
      - TEST_PACKAGE_NAME_ARCH: /kernel-debug-x86_64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-64k-aarch64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-64k-debug-aarch64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-rt-x86_64/
      - TEST_PACKAGE_NAME_ARCH: /kernel-rt-debug-x86_64/

.release-tft-runner:
  extends: [.trigger-tft-runner]
  variables:
    TEST_COMPOSE: "RHEL-9.5.0-Nightly"
    TFT_DISTRO: "rhel-9.5"
    TFT_STREAM: "zstream"

.release-stbkr-runner:
  extends: [.trigger-stbkr-runner]
  variables:
    TEST_COMPOSE: "RHEL-9.5.0-%"
    TEST_COMPOSE_TAGS: "CTS_NIGHTLY"

.release-bkrwow-runner:
  extends: [.trigger-bkrwow-runner]
  variables:
    TEST_COMPOSE: "RHEL-9.5.0-%"
    TEST_COMPOSE_TAGS: "CTS_NIGHTLY CTS_integration CTS_beaker-available"

.release-bkr-job-submitter-runner:
  extends: [.trigger-bkr-job-submitter-runner]
  variables:
    TEST_COMPOSE: "RHEL-9.5.0-%"
    TEST_COMPOSE_TAGS: "CTS_NIGHTLY CTS_integration CTS_beaker-available"

.release-bkr-zsubmit-submitter-runner:
  extends: [.trigger-bkr-zsubmit-submitter-runner]
  variables:
    TEST_COMPOSE: "RHEL-9.5.0-%"
    TEST_COMPOSE_TAGS: "CTS_NIGHTLY CTS_beaker-available"

.release-kpet-runner:
  extends: [.trigger-kpet-runner]
  variables:
    KPET_TREE: "rhel95-z"
